@media screen and (min-width: 1728px) {
    .contact__section{
        padding: 10rem 0;
    }
}
@media screen and (max-width: 1240px) {

    .header__container,
    .main__container,
    .footer__container {
        padding: 0 3rem;
    }

    .footer__container {
        grid-template-columns: 150px 1fr 200px 200px;
    }

    .header__container {
        padding: 1.6rem 3rem;
    }

    /* services page */

    .ntd__services__container {
        display: grid;
        grid-template-columns: 1fr 1fr;
        align-items: center;
        gap: 40px;
    }
}

@media screen and (max-width: 1080px) {
    .ntd__services__container {
        display: grid;
        grid-template-columns: 1fr;
        align-items: center;
        gap: 40px;
    }

    .ntd__services__container img {
        width: 100%;
        margin: 0 auto;
        max-width: 500px;
    }

    .ntd__services {
        margin: 0;
        margin-bottom: 7rem;
    }

   /*  .contact__caption{
        display: none;
    } */

    .contact__caption h1{
        font-size: 3rem;
    }
    
    .contact__caption{
        margin: 0;
    }
    
    .contact__section{
        padding: 3rem 0;
    }

    .contact__form__container h2 {
        font-size: 2.2rem;
    }
    
    .contact__container{
        display: grid;
        grid-template-columns: 1fr;
        gap: 30px;
    }
}

@media screen and (max-width: 992px) {
    .services__grid {
        display: grid;
        grid-template-columns: 1fr;
    }

    .footer__container {
        grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    }

    .footer__logo {
        display: grid;
        place-items: center;
    }
}



@media screen and (max-width: 830px) {
    .how__work__grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: auto;
        margin-top: 35px;
        gap: 25px;
    }

    .step__work:nth-of-type(1),
    .step__work:nth-of-type(2),
    .step__work:nth-of-type(3),
    .step__work:nth-of-type(4),
    .step__work:nth-of-type(5),
    .step__work:nth-of-type(6) {
        grid-column: auto;
        grid-row: auto;
    }

    .step__work img {
        width: 90%;
        display: block;
        margin: 0 auto;
    }


}


@media screen and (max-width: 817px) {
    .portfolio__grid {
        display: grid;
        grid-template-columns: 1fr;
        gap: 40px;
    }

    .item__portfolio {
        width: 100%;
        max-width: 450px;
        margin: 0 auto;
    }
}

@media screen and (max-width: 768px) {


    .logo {
        flex-grow: 2;
    }

    .btn.btn_contact {
        display: block;
        flex-grow: 1;
        margin-right: 20px;
        max-width: 150px;
    }



    .nav__bar {
        position: absolute;
        z-index: 9;
        background: var(--labs-red);
        top: 0;
        height: 0;
        left: 0;
        right: 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
        overflow: hidden;
        transition: 300ms ease all;
    }

    .nav__bar.open {
        bottom: 0;
        height: 100%;
        transition: 300ms ease all;
    }


    @keyframes slide-bottom {
        0% {
            transform: translateY(0)
        }

        100% {
            transform: translateY(0)
        }
    }




    .nav__bar ul {
        width: 100%;
        flex-direction: column;
        gap: 40px;
    }

    .nav__bar ul li {
        width: 100%;
        text-align: center;
    }

    .link {
        font-size: 28px;
        color: var(--white);
        padding: 0 3rem;
        text-align: center;
    }

    .link--active {
        border: 2px solid var(--white);
        border-radius: 10px;
    }

    #open__nav {
        display: block;
        cursor: pointer;
    }


    #close__nav {
        display: block;
        position: absolute;
        right: 1.6rem;
        top: 30px;
        cursor: pointer;
    }


}




@media screen and (max-width: 600px) {
    .btn__more {
        width: 100%;
        justify-content: center;
        gap: 15px;
    }

    h1 {
        font-size: 2.4rem;
    }

    .service__item {
        padding: 3.2rem 1.6rem;
    }

    .desktop {
        display: none;
    }

    .service__item {
        min-height: 300px;
    }

    .mobile {
        display: block;
    }

    /* Contact */

    .form__fields{
        flex-direction: column;
    }

    .contact__form__container{
        padding: 1.6rem;
    }

    .contact__form__container h2{

        line-height: 2.6rem;
    }

    .btn_send_from{
        display: block;
        width: 100%;
        padding: 1rem 3.5rem;
    }
}


@media screen and (max-width: 510px) {
    .partners__container {
        align-items: center;
    }

    .social__container {
        justify-content: center;
        gap: 20px;
    }
}

@media screen and (max-width: 450px) {

    .header__container,
    .main__container,
    .footer__container {
        padding: 0 1.6rem;
    }

    .header__container {
        padding: 1.6rem;
    }

    .header__container .btn {
        padding: 10px;
        font-size: 16px;
    }

    .logo img {
        width: 90px;
    }

    .btn.btn_contact {
        max-width: 130px;
    }

    /* SERVICES PAGE */

    .how__work__grid {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: auto;
        margin-top: 35px;
        gap: 25px;
    }

    .title__container {
        gap: 0;
        text-align: center;
    }

    .items__portfolio__details {
        flex-direction: column;
        gap: 10px;
    }

    .detail {
        width: 100%;
    }

    .items__portfolio__details {
        margin-top: 1.6rem;
    }

    .item__porfolio__link {
        width: 100%;
        justify-content: center;
        gap: 10px;
    }

    .company {
        margin: 2rem 0;
    }

    .title__container {
        padding-top: 3rem;
    }
}